# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-03-15 17:49
from __future__ import unicode_literals

from django.db import migrations


def update_triggering_parents(apps, schema_editor):
    BundleGroup = apps.get_model('oscarbundles', 'BundleGroup')
    for group in BundleGroup.objects.all():
        for bundle in group.bundle_set.all():
            for product in bundle.triggering_products.all():
                if product.parent is not None:
                    group.triggering_parents.add(product.parent)
                else:
                    group.triggering_parents.add(product)
        group.save()


def update_suggested_parents(apps, schema_editor):
    BundleGroup = apps.get_model('oscarbundles', 'BundleGroup')
    for group in BundleGroup.objects.all():
        for bundle in group.bundle_set.all():
            for product in bundle.suggested_products.all():
                if product.parent is not None:
                    group.suggested_parents.add(product.parent)
                else:
                    group.suggested_parents.add(product)
        group.save()


class Migration(migrations.Migration):

    dependencies = [
        ('oscarbundles', '0003_auto_20180315_1137'),
    ]

    operations = [
        migrations.RunPython(update_triggering_parents),
        migrations.RunPython(update_suggested_parents),
    ]
